Bug 748451 - update cacti to latest upstream (0.8.7h)
Summary: update cacti to latest upstream (0.8.7h)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cacti
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-24 14:01 UTC by Ken Dreyer
Modified: 2011-11-18 18:41 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-11 21:08:41 UTC


Attachments (Terms of Use)

Description Ken Dreyer 2011-10-24 14:01:58 UTC
Rawhide is at 0.8.7g, upstream is at 0.8.7h.

http://www.cacti.net/release_notes_0_8_7h.php

This release contains fixes for SQL injection and XSS. No CVE yet that I can see.

Comment 1 Ken Dreyer 2011-10-24 14:55:33 UTC
I'm testing an updated EL5 package. I see the following error when I walk through the upgrade process in my browser:

 "You don't have permission to access /cacti/install/index.php on this server."

In the error logs:

 "Could not open input file: /usr/share/cacti/cli/poller_reindex_hosts.php"

The problem is here:

/usr/share/cacti/install/0_8_7g_to_0_8_7h.php:	$extra_args = "-q \"" . $config["base_path"] . "/cli/poller_reindex_hosts.php\" --id=all";

We'll probably have to symlink the "cli" directory in /usr/share/cacti, similar to "scripts" or "rra".

Comment 2 Fedora Update System 2011-10-24 15:19:59 UTC
cacti-0.8.7h-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.el5

Comment 3 Gwyn Ciesla 2011-10-26 13:16:33 UTC
I've approved your access to EL-6, sorry for the delay, I was out sick a few days.  Do you see any problem with pushing h to all stable branches?

Comment 4 Ken Dreyer 2011-10-26 14:30:16 UTC
(In reply to comment #3)
> I was out sick a few days.

No problem; we're all volunteers.

> Do you see any problem with pushing h to all stable branches?

I've been running the h EL5 RPM on two CentOS systems. No problems noted. I think it's ok to push to the other branches.

Comment 5 Fedora Update System 2011-10-27 19:10:15 UTC
cacti-0.8.7h-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.fc16

Comment 6 Fedora Update System 2011-10-27 19:10:56 UTC
cacti-0.8.7h-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.fc15

Comment 7 Fedora Update System 2011-10-27 19:11:23 UTC
cacti-0.8.7h-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.fc14

Comment 8 Fedora Update System 2011-10-27 19:11:54 UTC
cacti-0.8.7h-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.el6

Comment 9 Fedora Update System 2011-10-27 19:12:27 UTC
cacti-0.8.7h-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cacti-0.8.7h-1.el4

Comment 10 Fedora Update System 2011-11-11 19:55:20 UTC
cacti-0.8.7h-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-11-12 03:24:23 UTC
cacti-0.8.7h-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-11-12 03:26:43 UTC
cacti-0.8.7h-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-11-12 03:27:40 UTC
cacti-0.8.7h-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-11-18 18:39:09 UTC
cacti-0.8.7h-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-11-18 18:41:11 UTC
cacti-0.8.7h-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.